Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229219 - sesearch -a segfaults on x86_64
Summary: sesearch -a segfaults on x86_64
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: setools
Version: 4.0
Hardware: x86_64
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-19 16:55 UTC by Jan Iven
Modified: 2008-04-08 19:56 UTC (History)
1 user (show)

Fixed In Version: RHEL 4.5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-04-08 19:56:23 UTC


Attachments (Terms of Use)

Description Jan Iven 2007-02-19 16:55:13 UTC
Description of problem:
"sesearch -s" falls over when trying to list all rules on x86_64

Version-Release number of selected component (if applicable):
setools-1.5.1-5
setools-debuginfo-1.5.1-5
selinux-policy-targeted-1.17.30-2.140


How reproducible:
always

Steps to Reproduce:
1.  sesearch -a /etc/selinux/targeted/policy/policy.18
  
Actual results:
segfault


Additional info:

Program received signal SIGSEGV, Segmentation fault.
0x0000000000417db3 in load_cond_list ()
(gdb) bt
#0  0x0000000000417db3 in load_cond_list ()
#1  0x000000000041888b in ap_read_binpol_file ()
#2  0x000000000040a0e4 in open_partial_policy ()
#3  0x00000000004020e8 in main ()
#4  0x000000397b41c3fb in __libc_start_main () from /lib64/tls/libc.so.6
#5  0x0000000000401d2a in _start ()
#6  0x0000007fbffff9e8 in ?? ()
#7  0x000000000000001c in ?? ()
#8  0x0000000000000003 in ?? ()
#9  0x0000007fbffffbe6 in ?? ()
#10 0x0000007fbffffbf8 in ?? ()
#11 0x0000007fbffffbfb in ?? ()
#12 0x0000000000000000 in ?? ()

# id -Z
root:system_r:unconfined_t

Comment 1 Daniel Walsh 2007-02-21 15:29:54 UTC
This should be fixed in setools-2.3-4.i386.rpm which is going in to U5.  You can
grab a copy at 

http://people.redhat.com/dwalsh/SELinux/RHEL4/u5



Note You need to log in before you can comment on or make changes to this bug.